import { NgModule } from '@angular/core';
import { StoreModule } from '@ngrx/store';
import { EffectsModule } from '@ngrx/effects';

import {
  REDUCERS,
  EFFECTS,
} from './store';

import { MODULE } from './auth.constant';

@NgModule({
  imports: [
    StoreModule.forFeature(MODULE.name, REDUCERS),
    EffectsModule.forFeature(EFFECTS),
  ],
})
export class AuthStoreModule { }
